module.exports.getForeignPropertyName = propertyName => {
  if (propertyName.endsWith(`_id`)) propertyName = propertyName.replace(`_id`, ``);else if (propertyName.endsWith(`Id`)) propertyName = propertyName.replace(`Id`, ``);else {
    if (propertyName.indexOf(`_`) > 0) propertyName = `${propertyName}_parent`;else propertyName = `${propertyName}Parent`;
  }
  return propertyName;
};

module.exports.isFieldDate = dataType => {
  switch (dataType) {
    case `date`:
      return true;

    case `time`:
      return true;

    case `datetime`:
      return true;

    case `timestamp`:
      return true;

    case `datetime2`:
      return true;

    case `smalldatetime`:
      return true;

    case `datetimeoffset`:
      return true;

    default:
      return false;
  }
};